<?php

namespace App\Entities\ProfissionalClinica;

use App\Utils\Builder;

class ProfissionalClinicaBuilder implements Builder {
	private $id;
	private $id_profissional;
	private $id_pessoa_juridica;

	public function setId($id): ProfissionalClinicaBuilder {

		$this->id = $id;
		return $this;

	}

	public function setIdProfissional(int $id_profissional): ProfissionalClinicaBuilder {

		$this->id_profissional = $id_profissional;
		return $this;

	}

	public function setIdPessoaJuridica(int $id_pessoa_juridica): ProfissionalClinicaBuilder {

		$this->id_pessoa_juridica = $id_pessoa_juridica;
		return $this;

	}

	public function build() {

		$profissional = new ProfissionalClinica();
		$profissional->setId( $this->id );
		$profissional->setIdProfissional( $this->id_profissional );
		$profissional->setIdPessoaJuridica( $this->id_pessoa_juridica );

		return $profissional;

	}

}